# Update a project

**Step1: Prepare Your Request**

* **Endpoint:** `/project/:projectId`
* **Method:** `PUT`
* **URL:** `https://api.talkstackai.com/project/:projectId`
* **Headers:** Include `Content-Type: application/json`.
* **Authorization:** Bearer token or x-api-key in Headers

**Step2: Create the Request Body**

* `name`: new name of the project.
* `description`: new description of the project.

```
{
    "name": "Demo Project",
    "description": "This is a project.",
    "webhookUrl": "xxxxxxxxxxxxxxxxxxxxxx"
}
```

**Step 3: Request params**

* `projectId` : The id of the project you want to update

**Step 3: Send the Request**

Use your preferred HTTP client to send the PUT request with the JSON body.

**Step 4: Handle the response**

The response will provide detailed information about the updated project.

**Success Response:**

* **Status Code:** `200 OK`
* **Body:**

```json
{
    "message": "successfully updated project info.",
    "status": "success",
    "data": {
        "name": "John Smith Clinic",
        "user_id": "xxxxxxxxxxxxxxxxxxxxxxxx",
        "status": "ACTIVE",
        "description": "This is a test project.",
        "is_deleted": false,
        "call_status_webhook": null,
        "created_at": "2025-03-13T01:57:29.186Z",
        "updated_at": "2025-03-13T01:57:29.186Z",
        "id": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
        "active_agent": null
    }
}
```

**Troubleshooting**

* `400 Bad Request`: If both `name` and `description` are not missing or if `projectId` is missing.
* `401 Unauthorized`: If the user is unauthorized or the token is missing.
* `404 Not found`: If the project with the given projectId is not found.
* `500 Internal Server Error`: For errors in updating the project.

Last updated 14 hours ago


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.talkstack.ai/project/update-a-project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
